org.keycloak.services.resources.admin

## Class ApplicationsResource

- java.lang.Object
- - org.keycloak.services.resources.admin.ApplicationsResource

- Direct Known Subclasses:
    ApplicationsByIdResource

      public class ApplicationsResource
      extends Object

  Base resource class for managing a realm's applications.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationsResource(RealmModel realm, RealmAuth auth)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `createApplication(javax.ws.rs.core.UriInfo uriInfo, ApplicationRepresentation rep)` Create a new application.
    `ApplicationResource` | `getApplication(String name)` Base path for managing a specific application.
    `protected ApplicationModel` | `getApplicationByPathParam(String name)`
    `protected String` | `getApplicationPath(ApplicationModel applicationModel)`
    `List<ApplicationRepresentation>` | `getApplications()` List of applications belonging to this realm.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### realm

          protected RealmModel realm

    - #### session

          @Context
          protected KeycloakSession session

  - ### Constructor Detail

    - #### ApplicationsResource

          public ApplicationsResource(RealmModel realm,
                              RealmAuth auth)

  - ### Method Detail

    - #### getApplications

          @GET
          @Produces(value="application/json")
          public List<ApplicationRepresentation> getApplications()

      List of applications belonging to this realm.
      Returns:

    - #### createApplication

          @POST
          @Consumes(value="application/json")
          public javax.ws.rs.core.Response createApplication(@Context
                                                                  javax.ws.rs.core.UriInfo uriInfo,
                                                                  ApplicationRepresentation rep)

      Create a new application. Application name must be unique!
      Parameters:
        `uriInfo` -
        `rep` -
      Returns:

    - #### getApplicationPath

          protected String getApplicationPath(ApplicationModel applicationModel)

    - #### getApplication

          @Path(value="{app-name}")
          public ApplicationResource getApplication(@PathParam(value="app-name")
                                                String name)

      Base path for managing a specific application.
      Parameters:
        `name` -
      Returns:

    - #### getApplicationByPathParam

          protected ApplicationModel getApplicationByPathParam(String name)

Copyright © 2014. All Rights Reserved.